Subject: bug#76335: closed (Re: [bug#76335] [PATCH 1/1] gnu: trash-cli: Update to 0.24.5.26.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 07 Apr 2025 20:15:02 +0000

Your bug report

#76335: [PATCH 0/1] trash-cli: Update to 0.24.5.26.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76335: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76335
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#76335] [PATCH 1/1] gnu: trash-cli: Update to 0.24.5.26.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 07 Apr 2025 21:14:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] writes:

> From: Simon Streit <[email-masked]>
>
> * gnu/packages/shellutils.scm (trash-cli): Update to 0.24.5.26.
>
> * gnu/packages/shellutils.scm: Update to 0.24.5.26.  Improve
>   style. [native-iinputs]: Add python-shtab. Sort.
>
> Change-Id: I2f9ca7e2eb27657d8356c5cd3648c1e3a10cd0a8
> ---
>  gnu/packages/shellutils.scm | 61 +++++++++++++++----------------------
>  1 file changed, 25 insertions(+), 36 deletions(-)

Thanks for the patch, I've pushed this to master as
3f69bfe87e3f0a0b3a6b5e1022faa6efd397b4e6.

Chris

Subject: [PATCH 0/1] trash-cli: Update to 0.24.5.26.
From: [email-masked]
To: [email-masked]
Cc: Simon Streit <[email-masked]>
Date: Sun, 16 Feb 2025 13:57:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

From: Simon Streit <[email-masked]>

Hello,

as promised to clear my local modifications, please find attached a
patch to update trash-cli to 0.24.5.26.

I added python-shtab as new native-input to enable the generation of
completion files.  I tried to get this working in the build process.
The results where not as good as expected.

I am leaving this as an open task for someone else to pick up.  Thus
the package is only upgraded to the newest current version for now.

Kind regards

Simon Streit (1):
  gnu: trash-cli: Update to 0.24.5.26.

 gnu/packages/shellutils.scm | 61 +++++++++++++++----------------------
 1 file changed, 25 insertions(+), 36 deletions(-)

--
2.47.1